## mapclassify 2.8.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = mapclassify
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
		@rsync -r --exclude '.ipynb_checkpoints/' ../notebooks/ ./notebooks/
		@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

github:
		@make html

sync:
		@rsync -avh _build/html/ ../docs/ --delete
		@make clean
		touch .nojekyll

clean:
		rm -rf $(BUILDDIR)/*
		rm -rf auto_examples/
		rm -rf generated/

## mapclassify 2.6.1

=== debian/changelog ===
mapclassify (2.6.1-5) unstable; urgency=medium

  * Team upload.
  * d/control: mark docs- or test-only dependencies. Closes: #1057383
  * Added intersphinx patch to connect to related documentation
    packages.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 22 May 2024 13:07:05 +0200

mapclassify (2.6.1-4) UNRELEASED; urgency=medium

  * Team upload.
  * d/control: build-dep on setuptools-scm to fix wrong "0.0.0" version

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 25 Apr 2024 21:41:38 +0300

mapclassify (2.6.1-3) unstable; urgency=medium

  * debian/control: added Testsuite: autopkgtest-pkg-pybuild
  * debian/tests/control: replaced by autopkgtest from debian/control

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 31 Dec 2023 07:27:40 -0300

mapclassify (2.6.1-2) unstable; urgency=medium

  * debian/rules: removed build failed tests
  * debian/tests: Build error fixed

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 18 Oct 2023 07:13:10 -0300

mapclassify (2.6.1-1) unstable; urgency=medium

  * New upstream version 2.6.1
  * debian/copyright: File 'versioneer.py' has been removed in the new version
  * debian/rules: Bug fixed in testing

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 14 Oct 2023 21:57:14 -0300

mapclassify (2.6.0-2) unstable; urgency=medium

  * Team Upload.
  * Point VCS URLs to science team

 -- Nilesh Patra <nilesh@debian.org>  Wed, 30 Aug 2023 19:34:49 +0530

mapclassify (2.6.0-1) unstable; urgency=medium

  [ Josenilson Ferreira da Silva, Nilesh Patra ]
  * Initial release. (Closes: #1043540)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 21 Aug 2023 19:36:11 +0530

=== debian/control ===
Source: mapclassify
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               libjs-mathjax,
               libjs-requirejs,
               pybuild-plugin-pyproject,
               python3-all,
               python3-doc <!nodoc>,
               python3-geopandas <!nocheck>,
               python3-libpysal <!nocheck>,
               python-libpysal-doc <!nodoc>,
               python3-nbsphinx <!nodoc>,
               python3-networkx <!nocheck>,
               python3-numpy <!nocheck>,
               python-numpy-doc <!nodoc>,
               python3-numpydoc <!nodoc>,
               python3-palettable <!nocheck>,
               python3-pandas <!nocheck>,
               python-pandas-doc <!nodoc>,
               python3-pytest <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-scipy <!nocheck>,
               python-scipy-doc <!nodoc>,
               python3-setuptools,
               python3-setuptools-scm,
               python3-sklearn <!nocheck> <!nodoc>,
               dh-sequence-sphinxdoc <!nodoc>,
               python3-sphinx <!nodoc>,
               python3-sphinx-gallery <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-sphinxcontrib.bibtex <!nodoc>
Standards-Version: 4.6.2
Homepage: https://github.com/pysal/mapclassify
Vcs-Browser: https://salsa.debian.org/science-team/mapclassify
Vcs-Git: https://salsa.debian.org/science-team/mapclassify.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-mapclassify
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-mapclassify-doc
Description: Classification Schemes for Choropleth Maps
 Library that provides tools for classifying geographic data on maps.
 It allows you to divide a spatial dataset into different classes or
 ranges, making it easier to visualize and analyze this data on maps.
 .
 This library is especially useful for grouping and categorizing geographic
 information, helping to identify patterns and trends in data.
 .
 It supports multiple classification methods such as Jenks Natural Breaks,
 Equal Interval and Quantile, among others, allowing users to choose the
 best approach for their specific analysis. Additionally, the library is
 integrated with other popular geographic data analysis tools, making it
 easy to incorporate their functionality into existing workflows.
 .
 This package provides the Python 3.x module

Package: python-mapclassify-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-mathjax,
         libjs-requirejs,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: python-libpysal-doc,
          python-numpy-doc,
          python-pandas-doc,
          python-scipy-doc,
          python3-doc
Description: Classification Schemes for Choropleth Maps (common documentation)
 Library that provides tools for classifying geographic data on maps.
 It allows you to divide a spatial dataset into different classes or
 ranges, making it easier to visualize and analyze this data on maps.
 .
 This library is especially useful for grouping and categorizing geographic
 information, helping to identify patterns and trends in data.
 .
 It supports multiple classification methods such as Jenks Natural Breaks,
 Equal Interval and Quantile, among others, allowing users to choose the
 best approach for their specific analysis. Additionally, the library is
 integrated with other popular geographic data analysis tools, making it
 easy to incorporate their functionality into existing workflows.
 .
 This package contains HTML documentation, incorporates instructions on how
 to install and configure and use this module with mapclassify.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export HOME=$(CURDIR)
export PYBUILD_NAME=mapclassify
export PYBUILD_TEST_CUSTOM=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	pytest -v --ignore=mapclassify/tests/test_greedy.py --ignore=mapclassify/tests/test_classify.py
	dh_auto_test
endif

# Build sphinx HTML documentation
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -bhtml docs/ debian/html
endif

download_remote_intersphinx_inventories:
	curl https://matplotlib.org/stable/objects.inv -o debian/intersphinx/matplotlib_objects.inv
	curl https://geopandas.org/en/stable/objects.inv -o debian/intersphinx/geopandas_objects.inv
	curl https://networkx.org/documentation/stable/objects.inv -o debian/intersphinx/networkx_objects.inv

## mapclassify 2.7.0

=== debian/changelog ===
mapclassify (2.7.0-1) unstable; urgency=medium

  * New upstream version 2.7.0
  * debian/control:
    - Added Build-Depends jdupes
    - Bumped Standards-Version to 4.7.0
  * debian/patches/fixed-path-file-tests.patch:
    - Fixed file path for tests
  * debian/rules:
    - Fixed duplicate files
    - Fixed file path to enable testing
    - Ignored because it tries to connect externally (Closes: #1067014)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 06 Jul 2024 12:13:54 -0300

## mapclassify 2.8.0

=== debian/changelog ===
mapclassify (2.8.0-1) unstable; urgency=medium

  * New upstream version 2.8.0

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 06 Aug 2024 22:02:00 -0300

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               jdupes,
                libjs-mathjax,
                libjs-requirejs,
                pybuild-plugin-pyproject,
@@ -34,7 +35,7 @@
                python3-sphinx-gallery <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-sphinxcontrib.bibtex <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/pysal/mapclassify
 Vcs-Browser: https://salsa.debian.org/science-team/mapclassify
 Vcs-Git: https://salsa.debian.org/science-team/mapclassify.git

## mapclassify 2.8.1

=== debian/changelog ===
mapclassify (2.8.1-3) unstable; urgency=medium

  * debian/control: Removed <!nocheck> to fix s390x architecture tests

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 19 Oct 2024 19:27:07 -0300

mapclassify (2.8.1-2) unstable; urgency=medium

  * debian/control: Added Build-depends python3-pyogrio

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 17 Oct 2024 20:42:24 -0300

mapclassify (2.8.1-1) unstable; urgency=medium

  * New upstream version 2.8.1
  * debian/python3-mapclassify.lintian-overrides: Removed unnecessary file

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 17 Oct 2024 20:40:45 -0300

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,8 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	pytest -v --ignore=mapclassify/tests/test_greedy.py --ignore=mapclassify/tests/test_classify.py
+# tests ignored due to maintaining external connection at build time
+	pytest -v --ignore=mapclassify/tests/test_greedy.py --ignore=mapclassify/tests/test_rgba.py
 	dh_auto_test
 endif
 
@@ -23,3 +24,6 @@
 	curl https://matplotlib.org/stable/objects.inv -o debian/intersphinx/matplotlib_objects.inv
 	curl https://geopandas.org/en/stable/objects.inv -o debian/intersphinx/geopandas_objects.inv
 	curl https://networkx.org/documentation/stable/objects.inv -o debian/intersphinx/networkx_objects.inv
+
+execute_before_dh_link-indep:
+	jdupes -rl debian/python-mapclassify-doc

=== debian/watch ===
version=4
https://github.com/pysal/mapclassify/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
